﻿<div class="table-responsive responsive table_cart" id="TableListPR">
    <table id="assets-data-table-ListPR" class="table display" style="width:100%;"></table>
    <script type="text/javascript">
        var assetListVM_ListPR;
        $(function () {
            assetListVM_ListPR = {
                dt: null,
                init: function () {
                    dt = $('#assets-data-table-ListPR').DataTable({
                        "autoWidth": true,
                        "serverSide": true,
                        "processing": true,
                        "data": null,
                        "drawCallback": function (settings) {
                            $("#assets-data-table-ListPR").find("input:checked").each(function (i, ob) {
                                $(ob).parent().parent().addClass('selected');;
                            });
                        },
                        "dom": '<"top"lp>rt<"bottom"ip>',
                        "ajax": {
                            "url": "/Purchase/PurchaseOrder/ListCopyFrom",
                            "type": 'POST',
                            "data": function (data) {
                                data.pDocumentType = 'PR';
                            }
                        },
                        "columns": [
                            {
                                "title": "", "data": "DocEntry", "orderable": false, "name": "DocEntry",
                                "render": function (data, type, full, meta) {
                                    var mChecked = "";
                                    if (pDocumentsToCopy.indexOf(data) != -1)
                                    {
                                        mChecked = "checked";
                                    }
                                    return "<input id=\"ckcopyfrom_" + data + "\" type=\"checkbox\" value='" + data + "' onchange=\"AddOrRemoveDocumentToCopy(" + data + ",$('#ckcopyfrom_" + data + "').is(':checked'), 'ckcopyfrom_" + data + "')\" " + mChecked + ">";
                                }
                            },
                            { "title": "#", "data": "DocNum", "name": "DocNum" },
                            { "title": "DocDate", "data": "DocDateJSONView", "name": "DocDate" },
                            { "title": "Requester", "data": "Requester", "name": "Requester" },
                            { "title": "Comments", "data": "Comments", "name": "Comments"  },
                            { "title": "DocDueDate", "data": "DocDueDateJSONView", "name": "DocDueDate"  }
                        ],
                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                    });
                },
                refresh: function () {
                    dt.ajax.reload();
                }
            }
            assetListVM_ListPR.init();
        });
    </script>
</div>

